Try {
    $script:localizedData = Import-LocalizedData -ErrorActionStop
}Catch{
    $script:localizedData = Import-LocalizedData -UICulture fr-FR 
}
Function Get-PSSerialNumber { 
    [CmdletBinding()]
    Param()

    Write-Verbose $script:localizedData.GetSerialNumber
    
    (Get-CIMInstance -ClassName Win32_Bios).SerialNumber 
} 

Function Get-PSFolderSize { 
    Param( 
        [CmdletBinding()]
        [ValidateScript({Test-Path $_})] 
        [String]$Path 
    )
    Write-Verbose $script:localizedData.CalculatedSize

    (Get-ChildItem -Path $Path -Recurse -File | ` 
    Measure-Object -Property Length -Sum ).Sum /1MB 
}
